{
  self',
  inputs',
  pkgs,
}: let
  pkgsUnstable = inputs'.nixpkgs-unstable.legacyPackages;
in {
  install = pkgs.mkShell {
    name = "infra-install";
    packages = with pkgs; [
      nixos-install-tools
      inputs'.disko.packages.disko
      just
      git
      git-crypt
      gnupg
    ];
  };

  develop = pkgs.mkShell {
    name = "infra-develop";
    inputsFrom = [
      self'.devShells.install
    ];
    packages = with pkgs; [
      inputs'.colmena.packages.colmena
      dconf2nix
      inputs'.nixos-anywhere.packages.nixos-anywhere
      nurl
      vcsh
      ripgrep
      # pass
      age
      age-plugin-yubikey
      ssh-to-age
      yubico-piv-tool
      inputs'.sops-nix.packages.default
      sops
      nil
      nix-index

      apacheHttpd

      # vncdo
      # tesseract
      # imagemagick

      # lm_sensors

      # nmap
      # sysstat
      # lshw
      # xxHash
      # linssid
      # wavemon
      # wirelesstools

      # zathura
      # xorg.xwininfo
      # glxinfo
      # autorandr
      # arandr
      # playerctl
      # x11docker
      # fwupd

      # ntfy
      # hedgedoc-cli

      xwayland

      (pkgs.writeShellScriptBin "rflk" ''
        exec nix run nixpkgs#$@
      '')

      (pkgs.writeShellScriptBin "r11" ''
        exec env NIXOS_OZONE_WL="" WAYLAND_DISPLAY="" $@
      '')
    ];

    # Set Environment Variables
    RUST_BACKTRACE = 1;
  };
}
