{
  pkgs,
  lib,
  ...
}: {
  home.stateVersion = lib.mkDefault "23.11";

  # TODO: re-enable this with the appropriate version?
  # programs.home-manager.enable = true;
  # programs.home-manager.path = https://github.com/rycee/home-manager/archive/445c0b1482c38172a9f8294ee16a7ca7462388e5.tar.gz;

  # TODO: move this to an OS snippet?
  nixpkgs.config = {
    allowBroken = false;
    allowUnfree = true;

    permittedInsecurePackages = [];
  };

  home.keyboard = {
    layout = "us";
    variant = "altgr-intl";
    options = [
      # nodeadkeys doesn't make sense with us layout: see https://man.archlinux.org/man/xkeyboard-config.7 for valid options
      # "nodeadkeys"
      # "caps:swapescape"
    ];
  };

  xdg.enable = true;

  programs.direnv.enable = true;

  # Don't create .pyc files.
  home.sessionVariables.PYTHONDONTWRITEBYTECODE = "1";

  programs.command-not-found.enable = true;
  programs.fzf.enable = true;

  home.packages =
    []
    ++ (with pkgs; [
      coreutils

      vcsh

      htop
      iperf3
      nethogs

      # Authentication
      cacert
      openssl
      mkpasswd

      just
      ripgrep
      du-dust

      elfutils
      exfat
      file
      tree
      pwgen
      proot

      parted
      pv
      tmux
      wget
      curl

      # git helpers
      git-crypt
      gitFull
      pastebinit
      gist
      mr

      usbutils
      pciutils
    ]);
}
