{...}: {
  imports = [
    ../../snippets/home-manager-with-zsh.nix
    ../../snippets/nix-settings-holo-chain.nix
    # TODO: double-check whether this works at all after the most recent changes
    # ../../snippets/radicale.nix
    ../../snippets/sway-desktop.nix
    ../../snippets/timezone.nix

    ../../profiles/common/configuration.nix
    ../../profiles/graphical/configuration.nix
    ../../modules/opinionatedDisk.nix
    ../../cachix.nix

    ./system.nix
    ./hw.nix
    ./pkg.nix
    ./user.nix
    ./boot.nix

    # samba seerver
    ({lib, ...}: {
      # networking.firewall.enable = lib.mkForce false;
      services.samba-wsdd.enable = true; # make shares visible for windows 10 clients
      networking.firewall.allowedTCPPorts = [
        5357 # wsdd
      ];
      networking.firewall.allowedUDPPorts = [
        3702 # wsdd
      ];
      services.samba = {
        enable = true;

        securityType = "user";

        extraConfig = ''
          workgroup = ARBEITSGRUPPE
          server string = steveej-t14
          netbios name = steveej-t14
          security = user

          # use sendfile = yes

          # for executables on windows
          acl allow execute always = True

          # legacy windows quirks
          max protocol = NT1
          min protocol = NT1
          ntlm auth = yes

          # client max protocol = SMB1
          # client min protocol = NT1

          # note: localhost is the ipv6 localhost ::1
          hosts allow = 192.168. 127.0.0.1 localhost
          hosts deny = 0.0.0.0/0
          guest account = nobody
          map to guest = bad user
        '';
        shares = {
          voodoo = {
            path = "/home/steveej/Desktop/voodoo";
            browseable = "yes";
            "read only" = "no";
            "guest ok" = "no";
            "create mask" = "0644";
            "directory mask" = "0755";
            # "force user" = "steveej";
            # "force group" = "users";
          };
        };
      };
    })
  ];
}
