{
  nodeName,
  repoFlake,
  repoFlakeWithSystem,
  nodeFlake,
  ...
}: let
  system = "x86_64-linux";
in {
  meta.nodeSpecialArgs.${nodeName} = {
    inherit repoFlake nodeName nodeFlake;
    packages' = repoFlake.packages.${system};
    repoFlakeInputs' = repoFlakeWithSystem system ({inputs', ...}: inputs');
  };

  meta.nodeNixpkgs.${nodeName} = import nodeFlake.inputs.nixpkgs.outPath {
    inherit system;
  };

  ${nodeName} = {
    deployment.targetHost = nodeName;
    deployment.replaceUnknownProfiles = false;
    deployment.allowLocalDeployment = true;

    imports = [
      (repoFlake + "/nix/os/devices/${nodeName}/configuration.nix")
    ];
  };
}
