{
  config,
  pkgs,
  lib,
  ...
}: let
  keys = import ../../../variables/keys.nix;
  inherit (pkgs.callPackage ../../lib/default.nix {}) mkUser;
in {
  users.users.steveej2 = mkUser {
    uid = 1001;
    openssh.authorizedKeys.keys = keys.users.steveej.openssh;
    hashedPasswordFile = config.sops.secrets.sharedUsers-steveej.path;
  };

  nix.settings.trusted-users = ["steveej"];

  security.pam.u2f.enable = true;
  security.pam.services.steveej.u2fAuth = true;
}
