{
  config,
  pkgs,
  repoFlake,
  nodeFlake,
  repoFlakeInputs',
  packages',
  ...
}: {
  imports = [
    repoFlake.inputs.sops-nix.nixosModules.sops

    ../../snippets/nix-settings.nix
    ../../snippets/home-manager-with-zsh.nix

    ./system.nix
    ./hw.nix
    ./user.nix
  ];

  boot.kernelPackages = pkgs.linuxPackages;
  boot.loader.grub = {
    enable = true;
    efiSupport = true;
    efiInstallAsRemovable = false;
  };

  boot.loader.systemd-boot.enable = false;
  boot.loader.efi.canTouchEfiVariables = true;
  boot.tmp.useTmpfs = true;

  # Workaround for nm-pptp to enforce module load
  boot.kernelModules = ["nf_conntrack_proto_gre" "nf_conntrack_pptp"];

  nixpkgs.config = {
    allowBroken = false;
    allowUnfree = true;
  };
}
